Bug 845689 - Review Request: python-django-setuptest - python-django-setuptest
Review Request: python-django-setuptest - python-django-setuptest
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 17:15 EDT by Luis Bazan
Modified: 2013-01-10 17:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 17:50:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.badger: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luis Bazan 2012-08-03 17:15:37 EDT
Simple module enabling Django app testing via $ python setup.py test.

$ rpmlint -v python-django-setuptest.spec 
python-django-setuptest.spec: I: checking-url http://pypi.python.org/packages/source/d/django-setuptest/django-setuptest-0.1.2.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

SPEC: http://lbazan.fedorapeople.org/python-django-setuptest.spec
SRPM: http://lbazan.fedorapeople.org/python-django-setuptest-0.1.2-2.fc17.src.rpm

Regards!
Comment 1 Luis Bazan 2012-08-03 17:49:09 EDT
$ rpmlint -v python-django-setuptest-0.1.2-2.fc17.src.rpm 
python-django-setuptest.src: I: checking
python-django-setuptest.src: I: enchant-dictionary-not-found en_US
python-django-setuptest.src: I: checking-url https://github.com/praekelt/django-setuptest (timeout 10 seconds)
python-django-setuptest.src: I: checking-url http://pypi.python.org/packages/source/d/django-setuptest/django-setuptest-0.1.2.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


$ rpmlint -v python-django-setuptest-0.1.2-2.fc17.noarch.rpm 
python-django-setuptest.noarch: I: checking
python-django-setuptest.noarch: I: enchant-dictionary-not-found en_US
python-django-setuptest.noarch: I: checking-url https://github.com/praekelt/django-setuptest (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Toshio Ernie Kuratomi 2012-08-03 18:18:07 EDT
NEEDSWORK

fd62cbbcd1f9bab1acc553dba7aa134a58145860ab029d673099f5ccc1e32ce1  django-setuptest-0.1.2.tar.gz

* Name follows the naming guidelines
* License is BSD in spec and in code
* License files included in package
* Spec file is legible
* Source matches upstream
* No locale files
* No C libraries
* No bundled libraries
* Not relocatable
* Package owns all directories it creates
* Does not have duplicate files
* Macros used consistently
* Code, not content
* No large docs
* Nothing in %doc is used at runtime
* Not a GUI app
* Does nt own directories owned by other packages
* All filenames valid UTF-8


== NEEDSWORK ==
* Package does not build in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=4356443
  - That looks like it's a missing BuildRequires: python-django

== rpmlint ==
python-django-setuptest.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python-django-setuptest.src: W: spelling-error %description -l en_US py -> pt, p, y
2 packages and 0 specfiles checked; 0 errors, 2 warnings

These are ignorable as py is being used as a filename extension in the %description
Comment 3 Toshio Ernie Kuratomi 2012-08-03 18:21:57 EDT
Ah -- two other cosmetic changes:

- BuildRequires:  python-devel
- BuildRequires:  python-setuptools-devel
+ BuildRequires: python2-devel
+ BuildRequires: python-setuptools

python2-devel is preferred but it's not a big deal.  python-devel won't be going away anytime soon.  But we don't know about the distant future when python3 is what most people use.

python-setuptools-devel will go away eventually.  It's just in the python-setuptools package for backwards compatibility since we had it split into a separate subpackage at one time.  We shouldn't use it as we will get rid of it in a somewhat near future.
Comment 5 Toshio Ernie Kuratomi 2012-08-03 19:32:57 EDT
Everything noted is fixed and it builds in koji now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4356602

APPROVED
Comment 6 Luis Bazan 2012-08-04 12:31:17 EDT
New Package SCM Request
=======================
Package Name: python-django-setuptest
Short Description: Simple module enabling Django app testing
Owners: lbazan
Branches: f17 f18 el6
InitialCC:
Comment 7 Luis Bazan 2012-08-04 12:41:38 EDT
New Package SCM Request
=======================
Package Name: python-django-setuptest
Short Description: Simple module enabling Django app testing
Owners: lbazan
Branches: f17 el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-08-04 13:38:54 EDT
Git done (by process-git-requests).
Comment 9 Luis Bazan 2012-11-22 13:10:19 EST
we can close this bug (the package is stable).

Best Regards!!
Comment 10 François Cami 2013-01-10 17:50:23 EST
Luis, please close the bug yourself next time, or better yet, use bodhi's built-in bugzilla management. See:
https://fedoraproject.org/wiki/Bodhi

Package built and shipped. Closing.

Note You need to log in before you can comment on or make changes to this bug.